Packages
Merge a Package
Creates a task to merge a Package.
POST
/
v2.0
/
packages
/
{packageId}
/
merge
Merge a Package
curl --request POST \
--url https://api-trial.cognigy.ai/new/v2.0/packages/{packageId}/merge \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"resourceIds": [
"<string>"
],
"strategies": [
{
"_id": "<string>",
"rename": "new flow",
"autoRename": true,
"identityConflictStrategy": "abort",
"mergeStrategy": {
"replaceContent": true,
"replaceStructure": true,
"localeOverrides": [
{
"replaceContent": true,
"localeId": "<string>"
}
]
}
}
],
"localeMapping": [
{
"agentLocaleId": "<string>",
"packageLocaleId": "<string>"
}
]
}
'import requests
url = "https://api-trial.cognigy.ai/new/v2.0/packages/{packageId}/merge"
payload = {
"resourceIds": ["<string>"],
"strategies": [
{
"_id": "<string>",
"rename": "new flow",
"autoRename": True,
"identityConflictStrategy": "abort",
"mergeStrategy": {
"replaceContent": True,
"replaceStructure": True,
"localeOverrides": [
{
"replaceContent": True,
"localeId": "<string>"
}
]
}
}
],
"localeMapping": [
{
"agentLocaleId": "<string>",
"packageLocaleId": "<string>"
}
]
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
resourceIds: ['<string>'],
strategies: [
{
_id: '<string>',
rename: 'new flow',
autoRename: true,
identityConflictStrategy: 'abort',
mergeStrategy: {
replaceContent: true,
replaceStructure: true,
localeOverrides: [{replaceContent: true, localeId: '<string>'}]
}
}
],
localeMapping: [{agentLocaleId: '<string>', packageLocaleId: '<string>'}]
})
};
fetch('https://api-trial.cognigy.ai/new/v2.0/packages/{packageId}/merge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "<string>",
"status": "queued",
"type": "trainIntents",
"parameters": {},
"lastChangedAt": 1594243850,
"lastCreatedAt": 1594243850,
"currentStep": 0,
"totalStep": 100
}{
"type": "Bad Request",
"title": "Bad Request Error",
"status": 400,
"detail": "Validation failed. Missing payload.",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Unauthorized",
"title": "Unauthorized Error",
"status": 401,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 401,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Payment Required",
"title": "Payment Required Error",
"status": 402,
"detail": "Validation failed. Missing payload.",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 402,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Forbidden",
"title": "Forbidden Error",
"status": 403,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Not Found",
"title": "Not Found Error",
"status": 404,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {},
"logLevel": "error"
}{
"type": "Method Not Allowed",
"title": "Method Not Allowed Error",
"status": 405,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Conflict",
"title": "Conflict Error",
"status": 409,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1004,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Payload Too Large",
"title": "Payload Too Large Error",
"status": 413,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Internal Server Error",
"title": "Internal Server Error",
"status": 500,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Not Implemented",
"title": "Not Implemented Error",
"status": 501,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1009,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Bad Gateway",
"title": "Bad Gateway Error",
"status": 502,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Service Unavailable",
"title": "Service Unavailable Error",
"status": 503,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 503,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Gateway Timeout",
"title": "Gateway Timeout Error",
"status": 504,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}Authorizations
APIKeyHeaderAPIKeyQueryParamCXoneTokenHeaderOAuth2
Supply the API Key in the HTTP-Header
Headers
The Accept header specifies the media type that the client expects in the response. Available options: application/json, application/hal+json, application/xml, text/xml, text/csv. The default value is application/json.
Available options:
application/json, application/hal+json, application/xml, text/xml, text/csv Path Parameters
The unique identifier for the Package.
Required string length:
24Pattern:
^[a-z0-9]{24}$Body
application/json
Response
Task to merge the Package successfully created.
Required string length:
24Pattern:
^[a-z0-9]{24}$The status of the task
Available options:
queued, active, done, cancelling, cancelled, error Example:
"queued"
Example:
"trainIntents"
Example:
1594243850
Example:
1594243850
Example:
0
Example:
100
Last modified on July 22, 2026
Previous
Upload a PackageUploads a [Package](https://docs.cognigy.com/ai/resources/build/packages) and creates a task to unpack it in the Project.
Next
⌘I
Merge a Package
